<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetView Method (IEdmBom)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBom Interface : GetView Method (IEdmBom)

Visual Basic
C#
C++/CLI

lVersionNo
  Version of the BOM whose view you want

Gets the BOM view for the specified BOM version. The BOM view allows you to read and manipulate the contents of the BOM.

# Syntax

Visual Basic |
--- | ---

    Function GetView( _
       Optional ByVal lVersionNo As System.Integer _
    ) As EdmBomView

C# |
--- | ---

    EdmBomView GetView(
       System.int lVersionNo
    )

C++/CLI |
--- | ---

    EdmBomView^ GetView(
    &   System.int lVersionNo
    )

#### Parameters

lVersionNo
  Version of the BOM whose view you want

#### Return Value

IEdmBomView

# Example

Add Row to Bill of Materials (VB.NET)
Add Row to Bill of Materials (C#)

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBom Interface
IEdmBom Members

# Availability

SOLIDWORKS PDM Professional 2009